<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="All accounts must meet the user name and password requirements." /><title>Account Requirements</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#04-administration-old/account-requirements.html">Open topic with navigation</a>
        </p>
        <h2>Account Requirements</h2>
        <p>All accounts must meet the user name and password requirements. If the user name or password does not meet one of the following criteria, <span class="VariablesProductName">Metasploit Pro</span> displays an error until you input a user name and password that complies with every requirement.</p>
        <p class="SubHeading1">User Name Requirements </p>
        <p>A <a name="kanchor199"></a>user name can contain any combination of the following characters:
</p>
        <ul>
            <li value="1">Alphanumeric characters
</li>
            <li value="2">Spaces
</li>
            <li value="3">Non-alphanumeric characters (!@#$%^&amp;*()+,.?/&lt;&gt;)</li>
        </ul>
        <p class="SubHeading1">Password Requirements</p>
        <p>A password must meet the following criteria:</p>
        <ul>
            <li value="1">Contains letters, numbers, and at least one special character.</li>
            <li value="2">Contain at least eight characters.</li>
            <li value="3">Cannot contain the user name.</li>
            <li value="4">Cannot be a common password.</li>
            <li value="5">Cannot use a predictable sequence of characters</li>
        </ul>
        <p><a class="MCHelpControl MCHelpControl-Related relatedTopics" data-mc-topics="Account Management|account-management.html||Account Types|account-types.html||Changing an Account Password|changing-account-password.html||Password Requirements|password-requirements.html"><span class="MCHelpControl-RelatedHotSpot_">Related Topics</span></a>
        </p>
    </body>
</html>